#!/bin/sh

cache="${1}"
original="${2}"

binary="`dirname "${0}"`"

if [ `whoami` != 'root' ]
then
	echo '[ALERT] This shellscript must be run by user "root".' 1>&2
	exit
fi

if [ -z "${cache}" ]
then
	echo '[ALERT] cache is not specified, operation aborted.' 1>&2
	exit
fi

if [ ! -d "${cache}" ]
then
	echo '[ALERT] cache is not a directory, operation aborted.' 1>&2
	exit
fi

if [ -z "${original}" ]
then
	echo '[ALERT] original is not specified, operation aborted.' 1>&2
	exit
fi

if [ ! -d "${original}" ]
then
	echo '[ALERT] original is not a directory, operation aborted.' 1>&2
	exit
fi

cd "${cache}"

find -s . -type f -iname "*" -exec "${binary}/subroutine.sh" "${original}" {} \;

